
%define name	fluidsynth
%define version	1.1.5
%define release %mkrel 1

%define major	1
%define libname %mklibname %name %major

%define __libtoolize    /bin/true

Name: 	 	%{name}
Summary: 	Realtime, SoundFont-based synthesizer
Summary(de):	Echtzeitsynthesizer der auf SoundFont basiert
Version: 	%{version}
Release: 	%{release}
Source:		http://savannah.nongnu.org/download/fluid/%{name}-%{version}.tar.xz
URL:		http://www.fluidsynth.org/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	%{_lib}jack-devel
BuildRequires:	ladspa-devel
BuildRequires:	%{_lib}alsa2-devel
BuildRequires:	%{_lib}ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	e2fsprogs
BuildRequires:	%{_lib}lash2-devel

%description
FluidSynth is a real-time software synthesizer based on the SoundFont 2
specifications. It is a "software synthesizer". FluidSynth can read MIDI
events from the MIDI input device and render them to the audio device. It
can also play MIDI files.

%description -l de
FluidSynth ist ein Echtzeit-Software-Synthesizer der auf der SoundFont 2
Spezifikation basiert. Es ist ein "Software-Synthesizer". FluidSynth kann
Midi-Ereignisse von einem Midi-Eingabegerät lesen und diese zum Audiogerät
rendern. Es kann auch Midi-Dateien abspielen.

%package -n 	%{libname}
Summary:        Dynamic libraries from %{name}
Summary(de):	Dynamische Bibliotheken für %{name}
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %{name}.

%description -n %{libname} -l de
Dynamische Bibliotheken für %{name}

%package -n 	%{libname}-devel
Summary: 	Header files and static libraries from %{name}
Summary(de):	Header-Dateien und statische Bibliotheken von %{name}
Group: 		Development/C
Requires: 	%{libname} >= %{version}
Provides: 	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes: 	%{name}-devel

%description -n %{libname}-devel
Libraries and includes files for developing programs based on %name.

%description -n %{libname}-devel -l de
Bibliotheken und Include-Dateien für die Entwicklung von Programmen, die
auf %{name} basieren sollen.

%prep
%setup -q -n %{name}-%{version}

%build
# ./autogen.sh

%configure2_5x --enable-ladspa --enable-jack-support \
 --enable-alsa --disable-oss-support --with-readline \
 --disable-ladcca --enable-lash

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING NEWS THANKS TODO
%{_bindir}/%name
%{_mandir}/man1/%name.1.*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_includedir}/%name
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/%name.pc

%changelog
* Thu Aug 09 2012 Neal <nealbrks0 at gmail dot com> 1.1.5-1pclos2012
- process

* Wed Aug 08 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.1.5-1pclos2012
- 1.1.5
- rebuild against new pulse
- added german summaries and descriptions
- add some more items to doc

* Sun Aug 14 2011 Texstar <texstar at gmail.com> 1.1.1-2pclos2011
- rebuild new readline6

* Tue Aug 17 2010 Galen Seaman <gseaman2186@comcast.net> 1.1.1-1pclos2010
- Update 1.1.1
- trim specfile


